Bug 468053 - (CVE-2008-4639) CVE-2008-4639 jhead: insecure temporary file usage
CVE-2008-4639 jhead: insecure temporary file usage
Status: CLOSED ERRATA
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
http://nvd.nist.gov/nvd.cfm?cvename=C...
source=osssecurity,public=20081015,re...
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-10-22 11:37 EDT by Tomas Hoger
Modified: 2016-03-04 06:13 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-10-22 11:48:51 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tomas Hoger 2008-10-22 11:37:55 EDT
Common Vulnerabilities and Exposures assigned an identifier CVE-2008-4639 to the following vulnerability:

jhead.c in Matthias Wandel jhead before 2.84 allows local users to
overwrite arbitrary files via a symlink attack on a temporary file.

References:
https://bugs.launchpad.net/ubuntu/+source/jhead/+bug/271020
http://www.openwall.com/lists/oss-security/2008/10/15/5
http://www.openwall.com/lists/oss-security/2008/10/15/6
http://www.openwall.com/lists/oss-security/2008/10/16/3
Comment 1 Red Hat Product Security 2008-10-22 11:48:51 EDT
This issue was addressed in:

Fedora:
  https://admin.fedoraproject.org/updates/F8/FEDORA-2008-8941
  https://admin.fedoraproject.org/updates/F9/FEDORA-2008-8928

Note You need to log in before you can comment on or make changes to this bug.